import { SNSServiceException as __BaseException } from "./SNSServiceException";
export class AuthorizationErrorException extends __BaseException {
    constructor(opts) {
        super({
            name: "AuthorizationErrorException",
            $fault: "client",
            ...opts,
        });
        this.name = "AuthorizationErrorException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AuthorizationErrorException.prototype);
    }
}
export class InternalErrorException extends __BaseException {
    constructor(opts) {
        super({
            name: "InternalErrorException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalErrorException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalErrorException.prototype);
    }
}
export class InvalidParameterException extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidParameterException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidParameterException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidParameterException.prototype);
    }
}
export class NotFoundException extends __BaseException {
    constructor(opts) {
        super({
            name: "NotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "NotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, NotFoundException.prototype);
    }
}
export class ThrottledException extends __BaseException {
    constructor(opts) {
        super({
            name: "ThrottledException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottledException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ThrottledException.prototype);
    }
}
export class FilterPolicyLimitExceededException extends __BaseException {
    constructor(opts) {
        super({
            name: "FilterPolicyLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "FilterPolicyLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, FilterPolicyLimitExceededException.prototype);
    }
}
export class SubscriptionLimitExceededException extends __BaseException {
    constructor(opts) {
        super({
            name: "SubscriptionLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "SubscriptionLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubscriptionLimitExceededException.prototype);
    }
}
export var LanguageCodeString;
(function (LanguageCodeString) {
    LanguageCodeString["de_DE"] = "de-DE";
    LanguageCodeString["en_GB"] = "en-GB";
    LanguageCodeString["en_US"] = "en-US";
    LanguageCodeString["es_419"] = "es-419";
    LanguageCodeString["es_ES"] = "es-ES";
    LanguageCodeString["fr_CA"] = "fr-CA";
    LanguageCodeString["fr_FR"] = "fr-FR";
    LanguageCodeString["it_IT"] = "it-IT";
    LanguageCodeString["jp_JP"] = "ja-JP";
    LanguageCodeString["kr_KR"] = "kr-KR";
    LanguageCodeString["pt_BR"] = "pt-BR";
    LanguageCodeString["zh_CN"] = "zh-CN";
    LanguageCodeString["zh_TW"] = "zh-TW";
})(LanguageCodeString || (LanguageCodeString = {}));
export class OptedOutException extends __BaseException {
    constructor(opts) {
        super({
            name: "OptedOutException",
            $fault: "client",
            ...opts,
        });
        this.name = "OptedOutException";
        this.$fault = "client";
        Object.setPrototypeOf(this, OptedOutException.prototype);
    }
}
export class UserErrorException extends __BaseException {
    constructor(opts) {
        super({
            name: "UserErrorException",
            $fault: "client",
            ...opts,
        });
        this.name = "UserErrorException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UserErrorException.prototype);
    }
}
export class ConcurrentAccessException extends __BaseException {
    constructor(opts) {
        super({
            name: "ConcurrentAccessException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConcurrentAccessException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConcurrentAccessException.prototype);
    }
}
export class InvalidSecurityException extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidSecurityException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidSecurityException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidSecurityException.prototype);
    }
}
export class StaleTagException extends __BaseException {
    constructor(opts) {
        super({
            name: "StaleTagException",
            $fault: "client",
            ...opts,
        });
        this.name = "StaleTagException";
        this.$fault = "client";
        Object.setPrototypeOf(this, StaleTagException.prototype);
    }
}
export class TagLimitExceededException extends __BaseException {
    constructor(opts) {
        super({
            name: "TagLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "TagLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TagLimitExceededException.prototype);
    }
}
export class TagPolicyException extends __BaseException {
    constructor(opts) {
        super({
            name: "TagPolicyException",
            $fault: "client",
            ...opts,
        });
        this.name = "TagPolicyException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TagPolicyException.prototype);
    }
}
export class TopicLimitExceededException extends __BaseException {
    constructor(opts) {
        super({
            name: "TopicLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "TopicLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TopicLimitExceededException.prototype);
    }
}
export class ResourceNotFoundException extends __BaseException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
    }
}
export var NumberCapability;
(function (NumberCapability) {
    NumberCapability["MMS"] = "MMS";
    NumberCapability["SMS"] = "SMS";
    NumberCapability["VOICE"] = "VOICE";
})(NumberCapability || (NumberCapability = {}));
export var RouteType;
(function (RouteType) {
    RouteType["Premium"] = "Premium";
    RouteType["Promotional"] = "Promotional";
    RouteType["Transactional"] = "Transactional";
})(RouteType || (RouteType = {}));
export class ValidationException extends __BaseException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
        this.Message = opts.Message;
    }
}
export var SMSSandboxPhoneNumberVerificationStatus;
(function (SMSSandboxPhoneNumberVerificationStatus) {
    SMSSandboxPhoneNumberVerificationStatus["Pending"] = "Pending";
    SMSSandboxPhoneNumberVerificationStatus["Verified"] = "Verified";
})(SMSSandboxPhoneNumberVerificationStatus || (SMSSandboxPhoneNumberVerificationStatus = {}));
export class EndpointDisabledException extends __BaseException {
    constructor(opts) {
        super({
            name: "EndpointDisabledException",
            $fault: "client",
            ...opts,
        });
        this.name = "EndpointDisabledException";
        this.$fault = "client";
        Object.setPrototypeOf(this, EndpointDisabledException.prototype);
    }
}
export class InvalidParameterValueException extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidParameterValueException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidParameterValueException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidParameterValueException.prototype);
    }
}
export class KMSAccessDeniedException extends __BaseException {
    constructor(opts) {
        super({
            name: "KMSAccessDeniedException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSAccessDeniedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSAccessDeniedException.prototype);
    }
}
export class KMSDisabledException extends __BaseException {
    constructor(opts) {
        super({
            name: "KMSDisabledException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSDisabledException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSDisabledException.prototype);
    }
}
export class KMSInvalidStateException extends __BaseException {
    constructor(opts) {
        super({
            name: "KMSInvalidStateException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSInvalidStateException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSInvalidStateException.prototype);
    }
}
export class KMSNotFoundException extends __BaseException {
    constructor(opts) {
        super({
            name: "KMSNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSNotFoundException.prototype);
    }
}
export class KMSOptInRequired extends __BaseException {
    constructor(opts) {
        super({
            name: "KMSOptInRequired",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSOptInRequired";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSOptInRequired.prototype);
    }
}
export class KMSThrottlingException extends __BaseException {
    constructor(opts) {
        super({
            name: "KMSThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSThrottlingException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSThrottlingException.prototype);
    }
}
export class PlatformApplicationDisabledException extends __BaseException {
    constructor(opts) {
        super({
            name: "PlatformApplicationDisabledException",
            $fault: "client",
            ...opts,
        });
        this.name = "PlatformApplicationDisabledException";
        this.$fault = "client";
        Object.setPrototypeOf(this, PlatformApplicationDisabledException.prototype);
    }
}
export class BatchEntryIdsNotDistinctException extends __BaseException {
    constructor(opts) {
        super({
            name: "BatchEntryIdsNotDistinctException",
            $fault: "client",
            ...opts,
        });
        this.name = "BatchEntryIdsNotDistinctException";
        this.$fault = "client";
        Object.setPrototypeOf(this, BatchEntryIdsNotDistinctException.prototype);
    }
}
export class BatchRequestTooLongException extends __BaseException {
    constructor(opts) {
        super({
            name: "BatchRequestTooLongException",
            $fault: "client",
            ...opts,
        });
        this.name = "BatchRequestTooLongException";
        this.$fault = "client";
        Object.setPrototypeOf(this, BatchRequestTooLongException.prototype);
    }
}
export class EmptyBatchRequestException extends __BaseException {
    constructor(opts) {
        super({
            name: "EmptyBatchRequestException",
            $fault: "client",
            ...opts,
        });
        this.name = "EmptyBatchRequestException";
        this.$fault = "client";
        Object.setPrototypeOf(this, EmptyBatchRequestException.prototype);
    }
}
export class InvalidBatchEntryIdException extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidBatchEntryIdException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidBatchEntryIdException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidBatchEntryIdException.prototype);
    }
}
export class TooManyEntriesInBatchRequestException extends __BaseException {
    constructor(opts) {
        super({
            name: "TooManyEntriesInBatchRequestException",
            $fault: "client",
            ...opts,
        });
        this.name = "TooManyEntriesInBatchRequestException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TooManyEntriesInBatchRequestException.prototype);
    }
}
export class VerificationException extends __BaseException {
    constructor(opts) {
        super({
            name: "VerificationException",
            $fault: "client",
            ...opts,
        });
        this.name = "VerificationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, VerificationException.prototype);
        this.Message = opts.Message;
        this.Status = opts.Status;
    }
}
export const AddPermissionInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CheckIfPhoneNumberIsOptedOutInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CheckIfPhoneNumberIsOptedOutResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ConfirmSubscriptionInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ConfirmSubscriptionResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreatePlatformApplicationInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreatePlatformApplicationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateEndpointResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreatePlatformEndpointInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateSMSSandboxPhoneNumberInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateSMSSandboxPhoneNumberResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const TagFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateTopicInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateTopicResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteEndpointInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeletePlatformApplicationInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteSMSSandboxPhoneNumberInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteSMSSandboxPhoneNumberResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteTopicInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetDataProtectionPolicyInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetDataProtectionPolicyResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetEndpointAttributesInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetEndpointAttributesResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetPlatformApplicationAttributesInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetPlatformApplicationAttributesResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetSMSAttributesInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetSMSAttributesResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetSMSSandboxAccountStatusInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetSMSSandboxAccountStatusResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetSubscriptionAttributesInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetSubscriptionAttributesResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetTopicAttributesInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetTopicAttributesResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListEndpointsByPlatformApplicationInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const EndpointFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListEndpointsByPlatformApplicationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListOriginationNumbersRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PhoneNumberInformationFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListOriginationNumbersResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPhoneNumbersOptedOutInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPhoneNumbersOptedOutResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPlatformApplicationsInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PlatformApplicationFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPlatformApplicationsResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListSMSSandboxPhoneNumbersInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SMSSandboxPhoneNumberFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListSMSSandboxPhoneNumbersResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListSubscriptionsInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SubscriptionFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListSubscriptionsResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListSubscriptionsByTopicInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListSubscriptionsByTopicResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListTagsForResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListTagsForResourceResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListTopicsInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const TopicFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListTopicsResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const OptInPhoneNumberInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const OptInPhoneNumberResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const MessageAttributeValueFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PublishInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PublishResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PublishBatchRequestEntryFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PublishBatchInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const BatchResultErrorEntryFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PublishBatchResultEntryFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PublishBatchResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PutDataProtectionPolicyInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const RemovePermissionInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SetEndpointAttributesInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SetPlatformApplicationAttributesInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SetSMSAttributesInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SetSMSAttributesResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SetSubscriptionAttributesInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SetTopicAttributesInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SubscribeInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SubscribeResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const TagResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const TagResourceResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UnsubscribeInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UntagResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UntagResourceResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const VerifySMSSandboxPhoneNumberInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const VerifySMSSandboxPhoneNumberResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
