import { ExceptionOptionType as __ExceptionOptionType } from "@aws-sdk/smithy-client";
import { SNSServiceException as __BaseException } from "./SNSServiceException";
export interface AddPermissionInput {
  TopicArn: string | undefined;
  Label: string | undefined;
  AWSAccountId: string[] | undefined;
  ActionName: string[] | undefined;
}
export declare class AuthorizationErrorException extends __BaseException {
  readonly name: "AuthorizationErrorException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<AuthorizationErrorException, __BaseException>
  );
}
export declare class InternalErrorException extends __BaseException {
  readonly name: "InternalErrorException";
  readonly $fault: "server";
  constructor(
    opts: __ExceptionOptionType<InternalErrorException, __BaseException>
  );
}
export declare class InvalidParameterException extends __BaseException {
  readonly name: "InvalidParameterException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<InvalidParameterException, __BaseException>
  );
}
export declare class NotFoundException extends __BaseException {
  readonly name: "NotFoundException";
  readonly $fault: "client";
  constructor(opts: __ExceptionOptionType<NotFoundException, __BaseException>);
}
export interface CheckIfPhoneNumberIsOptedOutInput {
  phoneNumber: string | undefined;
}
export interface CheckIfPhoneNumberIsOptedOutResponse {
  isOptedOut?: boolean;
}
export declare class ThrottledException extends __BaseException {
  readonly name: "ThrottledException";
  readonly $fault: "client";
  constructor(opts: __ExceptionOptionType<ThrottledException, __BaseException>);
}
export interface ConfirmSubscriptionInput {
  TopicArn: string | undefined;
  Token: string | undefined;
  AuthenticateOnUnsubscribe?: string;
}
export interface ConfirmSubscriptionResponse {
  SubscriptionArn?: string;
}
export declare class FilterPolicyLimitExceededException extends __BaseException {
  readonly name: "FilterPolicyLimitExceededException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      FilterPolicyLimitExceededException,
      __BaseException
    >
  );
}
export declare class SubscriptionLimitExceededException extends __BaseException {
  readonly name: "SubscriptionLimitExceededException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      SubscriptionLimitExceededException,
      __BaseException
    >
  );
}
export interface CreatePlatformApplicationInput {
  Name: string | undefined;
  Platform: string | undefined;
  Attributes: Record<string, string> | undefined;
}
export interface CreatePlatformApplicationResponse {
  PlatformApplicationArn?: string;
}
export interface CreateEndpointResponse {
  EndpointArn?: string;
}
export interface CreatePlatformEndpointInput {
  PlatformApplicationArn: string | undefined;
  Token: string | undefined;
  CustomUserData?: string;
  Attributes?: Record<string, string>;
}
export declare enum LanguageCodeString {
  de_DE = "de-DE",
  en_GB = "en-GB",
  en_US = "en-US",
  es_419 = "es-419",
  es_ES = "es-ES",
  fr_CA = "fr-CA",
  fr_FR = "fr-FR",
  it_IT = "it-IT",
  jp_JP = "ja-JP",
  kr_KR = "kr-KR",
  pt_BR = "pt-BR",
  zh_CN = "zh-CN",
  zh_TW = "zh-TW",
}
export interface CreateSMSSandboxPhoneNumberInput {
  PhoneNumber: string | undefined;
  LanguageCode?: LanguageCodeString | string;
}
export interface CreateSMSSandboxPhoneNumberResult {}
export declare class OptedOutException extends __BaseException {
  readonly name: "OptedOutException";
  readonly $fault: "client";
  constructor(opts: __ExceptionOptionType<OptedOutException, __BaseException>);
}
export declare class UserErrorException extends __BaseException {
  readonly name: "UserErrorException";
  readonly $fault: "client";
  constructor(opts: __ExceptionOptionType<UserErrorException, __BaseException>);
}
export declare class ConcurrentAccessException extends __BaseException {
  readonly name: "ConcurrentAccessException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<ConcurrentAccessException, __BaseException>
  );
}
export interface Tag {
  Key: string | undefined;
  Value: string | undefined;
}
export interface CreateTopicInput {
  Name: string | undefined;
  Attributes?: Record<string, string>;
  Tags?: Tag[];
  DataProtectionPolicy?: string;
}
export interface CreateTopicResponse {
  TopicArn?: string;
}
export declare class InvalidSecurityException extends __BaseException {
  readonly name: "InvalidSecurityException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<InvalidSecurityException, __BaseException>
  );
}
export declare class StaleTagException extends __BaseException {
  readonly name: "StaleTagException";
  readonly $fault: "client";
  constructor(opts: __ExceptionOptionType<StaleTagException, __BaseException>);
}
export declare class TagLimitExceededException extends __BaseException {
  readonly name: "TagLimitExceededException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<TagLimitExceededException, __BaseException>
  );
}
export declare class TagPolicyException extends __BaseException {
  readonly name: "TagPolicyException";
  readonly $fault: "client";
  constructor(opts: __ExceptionOptionType<TagPolicyException, __BaseException>);
}
export declare class TopicLimitExceededException extends __BaseException {
  readonly name: "TopicLimitExceededException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<TopicLimitExceededException, __BaseException>
  );
}
export interface DeleteEndpointInput {
  EndpointArn: string | undefined;
}
export interface DeletePlatformApplicationInput {
  PlatformApplicationArn: string | undefined;
}
export interface DeleteSMSSandboxPhoneNumberInput {
  PhoneNumber: string | undefined;
}
export interface DeleteSMSSandboxPhoneNumberResult {}
export declare class ResourceNotFoundException extends __BaseException {
  readonly name: "ResourceNotFoundException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<ResourceNotFoundException, __BaseException>
  );
}
export interface DeleteTopicInput {
  TopicArn: string | undefined;
}
export interface GetDataProtectionPolicyInput {
  ResourceArn: string | undefined;
}
export interface GetDataProtectionPolicyResponse {
  DataProtectionPolicy?: string;
}
export interface GetEndpointAttributesInput {
  EndpointArn: string | undefined;
}
export interface GetEndpointAttributesResponse {
  Attributes?: Record<string, string>;
}
export interface GetPlatformApplicationAttributesInput {
  PlatformApplicationArn: string | undefined;
}
export interface GetPlatformApplicationAttributesResponse {
  Attributes?: Record<string, string>;
}
export interface GetSMSAttributesInput {
  attributes?: string[];
}
export interface GetSMSAttributesResponse {
  attributes?: Record<string, string>;
}
export interface GetSMSSandboxAccountStatusInput {}
export interface GetSMSSandboxAccountStatusResult {
  IsInSandbox: boolean | undefined;
}
export interface GetSubscriptionAttributesInput {
  SubscriptionArn: string | undefined;
}
export interface GetSubscriptionAttributesResponse {
  Attributes?: Record<string, string>;
}
export interface GetTopicAttributesInput {
  TopicArn: string | undefined;
}
export interface GetTopicAttributesResponse {
  Attributes?: Record<string, string>;
}
export interface ListEndpointsByPlatformApplicationInput {
  PlatformApplicationArn: string | undefined;
  NextToken?: string;
}
export interface Endpoint {
  EndpointArn?: string;
  Attributes?: Record<string, string>;
}
export interface ListEndpointsByPlatformApplicationResponse {
  Endpoints?: Endpoint[];
  NextToken?: string;
}
export interface ListOriginationNumbersRequest {
  NextToken?: string;
  MaxResults?: number;
}
export declare enum NumberCapability {
  MMS = "MMS",
  SMS = "SMS",
  VOICE = "VOICE",
}
export declare enum RouteType {
  Premium = "Premium",
  Promotional = "Promotional",
  Transactional = "Transactional",
}
export interface PhoneNumberInformation {
  CreatedAt?: Date;
  PhoneNumber?: string;
  Status?: string;
  Iso2CountryCode?: string;
  RouteType?: RouteType | string;
  NumberCapabilities?: (NumberCapability | string)[];
}
export interface ListOriginationNumbersResult {
  NextToken?: string;
  PhoneNumbers?: PhoneNumberInformation[];
}
export declare class ValidationException extends __BaseException {
  readonly name: "ValidationException";
  readonly $fault: "client";
  Message: string | undefined;
  constructor(
    opts: __ExceptionOptionType<ValidationException, __BaseException>
  );
}
export interface ListPhoneNumbersOptedOutInput {
  nextToken?: string;
}
export interface ListPhoneNumbersOptedOutResponse {
  phoneNumbers?: string[];
  nextToken?: string;
}
export interface ListPlatformApplicationsInput {
  NextToken?: string;
}
export interface PlatformApplication {
  PlatformApplicationArn?: string;
  Attributes?: Record<string, string>;
}
export interface ListPlatformApplicationsResponse {
  PlatformApplications?: PlatformApplication[];
  NextToken?: string;
}
export interface ListSMSSandboxPhoneNumbersInput {
  NextToken?: string;
  MaxResults?: number;
}
export declare enum SMSSandboxPhoneNumberVerificationStatus {
  Pending = "Pending",
  Verified = "Verified",
}
export interface SMSSandboxPhoneNumber {
  PhoneNumber?: string;
  Status?: SMSSandboxPhoneNumberVerificationStatus | string;
}
export interface ListSMSSandboxPhoneNumbersResult {
  PhoneNumbers: SMSSandboxPhoneNumber[] | undefined;
  NextToken?: string;
}
export interface ListSubscriptionsInput {
  NextToken?: string;
}
export interface Subscription {
  SubscriptionArn?: string;
  Owner?: string;
  Protocol?: string;
  Endpoint?: string;
  TopicArn?: string;
}
export interface ListSubscriptionsResponse {
  Subscriptions?: Subscription[];
  NextToken?: string;
}
export interface ListSubscriptionsByTopicInput {
  TopicArn: string | undefined;
  NextToken?: string;
}
export interface ListSubscriptionsByTopicResponse {
  Subscriptions?: Subscription[];
  NextToken?: string;
}
export interface ListTagsForResourceRequest {
  ResourceArn: string | undefined;
}
export interface ListTagsForResourceResponse {
  Tags?: Tag[];
}
export interface ListTopicsInput {
  NextToken?: string;
}
export interface Topic {
  TopicArn?: string;
}
export interface ListTopicsResponse {
  Topics?: Topic[];
  NextToken?: string;
}
export interface OptInPhoneNumberInput {
  phoneNumber: string | undefined;
}
export interface OptInPhoneNumberResponse {}
export declare class EndpointDisabledException extends __BaseException {
  readonly name: "EndpointDisabledException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<EndpointDisabledException, __BaseException>
  );
}
export declare class InvalidParameterValueException extends __BaseException {
  readonly name: "InvalidParameterValueException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<InvalidParameterValueException, __BaseException>
  );
}
export declare class KMSAccessDeniedException extends __BaseException {
  readonly name: "KMSAccessDeniedException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<KMSAccessDeniedException, __BaseException>
  );
}
export declare class KMSDisabledException extends __BaseException {
  readonly name: "KMSDisabledException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<KMSDisabledException, __BaseException>
  );
}
export declare class KMSInvalidStateException extends __BaseException {
  readonly name: "KMSInvalidStateException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<KMSInvalidStateException, __BaseException>
  );
}
export declare class KMSNotFoundException extends __BaseException {
  readonly name: "KMSNotFoundException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<KMSNotFoundException, __BaseException>
  );
}
export declare class KMSOptInRequired extends __BaseException {
  readonly name: "KMSOptInRequired";
  readonly $fault: "client";
  constructor(opts: __ExceptionOptionType<KMSOptInRequired, __BaseException>);
}
export declare class KMSThrottlingException extends __BaseException {
  readonly name: "KMSThrottlingException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<KMSThrottlingException, __BaseException>
  );
}
export declare class PlatformApplicationDisabledException extends __BaseException {
  readonly name: "PlatformApplicationDisabledException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      PlatformApplicationDisabledException,
      __BaseException
    >
  );
}
export interface MessageAttributeValue {
  DataType: string | undefined;
  StringValue?: string;
  BinaryValue?: Uint8Array;
}
export interface PublishInput {
  TopicArn?: string;
  TargetArn?: string;
  PhoneNumber?: string;
  Message: string | undefined;
  Subject?: string;
  MessageStructure?: string;
  MessageAttributes?: Record<string, MessageAttributeValue>;
  MessageDeduplicationId?: string;
  MessageGroupId?: string;
}
export interface PublishResponse {
  MessageId?: string;
  SequenceNumber?: string;
}
export declare class BatchEntryIdsNotDistinctException extends __BaseException {
  readonly name: "BatchEntryIdsNotDistinctException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      BatchEntryIdsNotDistinctException,
      __BaseException
    >
  );
}
export declare class BatchRequestTooLongException extends __BaseException {
  readonly name: "BatchRequestTooLongException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<BatchRequestTooLongException, __BaseException>
  );
}
export declare class EmptyBatchRequestException extends __BaseException {
  readonly name: "EmptyBatchRequestException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<EmptyBatchRequestException, __BaseException>
  );
}
export declare class InvalidBatchEntryIdException extends __BaseException {
  readonly name: "InvalidBatchEntryIdException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<InvalidBatchEntryIdException, __BaseException>
  );
}
export interface PublishBatchRequestEntry {
  Id: string | undefined;
  Message: string | undefined;
  Subject?: string;
  MessageStructure?: string;
  MessageAttributes?: Record<string, MessageAttributeValue>;
  MessageDeduplicationId?: string;
  MessageGroupId?: string;
}
export interface PublishBatchInput {
  TopicArn: string | undefined;
  PublishBatchRequestEntries: PublishBatchRequestEntry[] | undefined;
}
export interface BatchResultErrorEntry {
  Id: string | undefined;
  Code: string | undefined;
  Message?: string;
  SenderFault: boolean | undefined;
}
export interface PublishBatchResultEntry {
  Id?: string;
  MessageId?: string;
  SequenceNumber?: string;
}
export interface PublishBatchResponse {
  Successful?: PublishBatchResultEntry[];
  Failed?: BatchResultErrorEntry[];
}
export declare class TooManyEntriesInBatchRequestException extends __BaseException {
  readonly name: "TooManyEntriesInBatchRequestException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      TooManyEntriesInBatchRequestException,
      __BaseException
    >
  );
}
export interface PutDataProtectionPolicyInput {
  ResourceArn: string | undefined;
  DataProtectionPolicy: string | undefined;
}
export interface RemovePermissionInput {
  TopicArn: string | undefined;
  Label: string | undefined;
}
export interface SetEndpointAttributesInput {
  EndpointArn: string | undefined;
  Attributes: Record<string, string> | undefined;
}
export interface SetPlatformApplicationAttributesInput {
  PlatformApplicationArn: string | undefined;
  Attributes: Record<string, string> | undefined;
}
export interface SetSMSAttributesInput {
  attributes: Record<string, string> | undefined;
}
export interface SetSMSAttributesResponse {}
export interface SetSubscriptionAttributesInput {
  SubscriptionArn: string | undefined;
  AttributeName: string | undefined;
  AttributeValue?: string;
}
export interface SetTopicAttributesInput {
  TopicArn: string | undefined;
  AttributeName: string | undefined;
  AttributeValue?: string;
}
export interface SubscribeInput {
  TopicArn: string | undefined;
  Protocol: string | undefined;
  Endpoint?: string;
  Attributes?: Record<string, string>;
  ReturnSubscriptionArn?: boolean;
}
export interface SubscribeResponse {
  SubscriptionArn?: string;
}
export interface TagResourceRequest {
  ResourceArn: string | undefined;
  Tags: Tag[] | undefined;
}
export interface TagResourceResponse {}
export interface UnsubscribeInput {
  SubscriptionArn: string | undefined;
}
export interface UntagResourceRequest {
  ResourceArn: string | undefined;
  TagKeys: string[] | undefined;
}
export interface UntagResourceResponse {}
export declare class VerificationException extends __BaseException {
  readonly name: "VerificationException";
  readonly $fault: "client";
  Message: string | undefined;
  Status: string | undefined;
  constructor(
    opts: __ExceptionOptionType<VerificationException, __BaseException>
  );
}
export interface VerifySMSSandboxPhoneNumberInput {
  PhoneNumber: string | undefined;
  OneTimePassword: string | undefined;
}
export interface VerifySMSSandboxPhoneNumberResult {}
export declare const AddPermissionInputFilterSensitiveLog: (
  obj: AddPermissionInput
) => any;
export declare const CheckIfPhoneNumberIsOptedOutInputFilterSensitiveLog: (
  obj: CheckIfPhoneNumberIsOptedOutInput
) => any;
export declare const CheckIfPhoneNumberIsOptedOutResponseFilterSensitiveLog: (
  obj: CheckIfPhoneNumberIsOptedOutResponse
) => any;
export declare const ConfirmSubscriptionInputFilterSensitiveLog: (
  obj: ConfirmSubscriptionInput
) => any;
export declare const ConfirmSubscriptionResponseFilterSensitiveLog: (
  obj: ConfirmSubscriptionResponse
) => any;
export declare const CreatePlatformApplicationInputFilterSensitiveLog: (
  obj: CreatePlatformApplicationInput
) => any;
export declare const CreatePlatformApplicationResponseFilterSensitiveLog: (
  obj: CreatePlatformApplicationResponse
) => any;
export declare const CreateEndpointResponseFilterSensitiveLog: (
  obj: CreateEndpointResponse
) => any;
export declare const CreatePlatformEndpointInputFilterSensitiveLog: (
  obj: CreatePlatformEndpointInput
) => any;
export declare const CreateSMSSandboxPhoneNumberInputFilterSensitiveLog: (
  obj: CreateSMSSandboxPhoneNumberInput
) => any;
export declare const CreateSMSSandboxPhoneNumberResultFilterSensitiveLog: (
  obj: CreateSMSSandboxPhoneNumberResult
) => any;
export declare const TagFilterSensitiveLog: (obj: Tag) => any;
export declare const CreateTopicInputFilterSensitiveLog: (
  obj: CreateTopicInput
) => any;
export declare const CreateTopicResponseFilterSensitiveLog: (
  obj: CreateTopicResponse
) => any;
export declare const DeleteEndpointInputFilterSensitiveLog: (
  obj: DeleteEndpointInput
) => any;
export declare const DeletePlatformApplicationInputFilterSensitiveLog: (
  obj: DeletePlatformApplicationInput
) => any;
export declare const DeleteSMSSandboxPhoneNumberInputFilterSensitiveLog: (
  obj: DeleteSMSSandboxPhoneNumberInput
) => any;
export declare const DeleteSMSSandboxPhoneNumberResultFilterSensitiveLog: (
  obj: DeleteSMSSandboxPhoneNumberResult
) => any;
export declare const DeleteTopicInputFilterSensitiveLog: (
  obj: DeleteTopicInput
) => any;
export declare const GetDataProtectionPolicyInputFilterSensitiveLog: (
  obj: GetDataProtectionPolicyInput
) => any;
export declare const GetDataProtectionPolicyResponseFilterSensitiveLog: (
  obj: GetDataProtectionPolicyResponse
) => any;
export declare const GetEndpointAttributesInputFilterSensitiveLog: (
  obj: GetEndpointAttributesInput
) => any;
export declare const GetEndpointAttributesResponseFilterSensitiveLog: (
  obj: GetEndpointAttributesResponse
) => any;
export declare const GetPlatformApplicationAttributesInputFilterSensitiveLog: (
  obj: GetPlatformApplicationAttributesInput
) => any;
export declare const GetPlatformApplicationAttributesResponseFilterSensitiveLog: (
  obj: GetPlatformApplicationAttributesResponse
) => any;
export declare const GetSMSAttributesInputFilterSensitiveLog: (
  obj: GetSMSAttributesInput
) => any;
export declare const GetSMSAttributesResponseFilterSensitiveLog: (
  obj: GetSMSAttributesResponse
) => any;
export declare const GetSMSSandboxAccountStatusInputFilterSensitiveLog: (
  obj: GetSMSSandboxAccountStatusInput
) => any;
export declare const GetSMSSandboxAccountStatusResultFilterSensitiveLog: (
  obj: GetSMSSandboxAccountStatusResult
) => any;
export declare const GetSubscriptionAttributesInputFilterSensitiveLog: (
  obj: GetSubscriptionAttributesInput
) => any;
export declare const GetSubscriptionAttributesResponseFilterSensitiveLog: (
  obj: GetSubscriptionAttributesResponse
) => any;
export declare const GetTopicAttributesInputFilterSensitiveLog: (
  obj: GetTopicAttributesInput
) => any;
export declare const GetTopicAttributesResponseFilterSensitiveLog: (
  obj: GetTopicAttributesResponse
) => any;
export declare const ListEndpointsByPlatformApplicationInputFilterSensitiveLog: (
  obj: ListEndpointsByPlatformApplicationInput
) => any;
export declare const EndpointFilterSensitiveLog: (obj: Endpoint) => any;
export declare const ListEndpointsByPlatformApplicationResponseFilterSensitiveLog: (
  obj: ListEndpointsByPlatformApplicationResponse
) => any;
export declare const ListOriginationNumbersRequestFilterSensitiveLog: (
  obj: ListOriginationNumbersRequest
) => any;
export declare const PhoneNumberInformationFilterSensitiveLog: (
  obj: PhoneNumberInformation
) => any;
export declare const ListOriginationNumbersResultFilterSensitiveLog: (
  obj: ListOriginationNumbersResult
) => any;
export declare const ListPhoneNumbersOptedOutInputFilterSensitiveLog: (
  obj: ListPhoneNumbersOptedOutInput
) => any;
export declare const ListPhoneNumbersOptedOutResponseFilterSensitiveLog: (
  obj: ListPhoneNumbersOptedOutResponse
) => any;
export declare const ListPlatformApplicationsInputFilterSensitiveLog: (
  obj: ListPlatformApplicationsInput
) => any;
export declare const PlatformApplicationFilterSensitiveLog: (
  obj: PlatformApplication
) => any;
export declare const ListPlatformApplicationsResponseFilterSensitiveLog: (
  obj: ListPlatformApplicationsResponse
) => any;
export declare const ListSMSSandboxPhoneNumbersInputFilterSensitiveLog: (
  obj: ListSMSSandboxPhoneNumbersInput
) => any;
export declare const SMSSandboxPhoneNumberFilterSensitiveLog: (
  obj: SMSSandboxPhoneNumber
) => any;
export declare const ListSMSSandboxPhoneNumbersResultFilterSensitiveLog: (
  obj: ListSMSSandboxPhoneNumbersResult
) => any;
export declare const ListSubscriptionsInputFilterSensitiveLog: (
  obj: ListSubscriptionsInput
) => any;
export declare const SubscriptionFilterSensitiveLog: (obj: Subscription) => any;
export declare const ListSubscriptionsResponseFilterSensitiveLog: (
  obj: ListSubscriptionsResponse
) => any;
export declare const ListSubscriptionsByTopicInputFilterSensitiveLog: (
  obj: ListSubscriptionsByTopicInput
) => any;
export declare const ListSubscriptionsByTopicResponseFilterSensitiveLog: (
  obj: ListSubscriptionsByTopicResponse
) => any;
export declare const ListTagsForResourceRequestFilterSensitiveLog: (
  obj: ListTagsForResourceRequest
) => any;
export declare const ListTagsForResourceResponseFilterSensitiveLog: (
  obj: ListTagsForResourceResponse
) => any;
export declare const ListTopicsInputFilterSensitiveLog: (
  obj: ListTopicsInput
) => any;
export declare const TopicFilterSensitiveLog: (obj: Topic) => any;
export declare const ListTopicsResponseFilterSensitiveLog: (
  obj: ListTopicsResponse
) => any;
export declare const OptInPhoneNumberInputFilterSensitiveLog: (
  obj: OptInPhoneNumberInput
) => any;
export declare const OptInPhoneNumberResponseFilterSensitiveLog: (
  obj: OptInPhoneNumberResponse
) => any;
export declare const MessageAttributeValueFilterSensitiveLog: (
  obj: MessageAttributeValue
) => any;
export declare const PublishInputFilterSensitiveLog: (obj: PublishInput) => any;
export declare const PublishResponseFilterSensitiveLog: (
  obj: PublishResponse
) => any;
export declare const PublishBatchRequestEntryFilterSensitiveLog: (
  obj: PublishBatchRequestEntry
) => any;
export declare const PublishBatchInputFilterSensitiveLog: (
  obj: PublishBatchInput
) => any;
export declare const BatchResultErrorEntryFilterSensitiveLog: (
  obj: BatchResultErrorEntry
) => any;
export declare const PublishBatchResultEntryFilterSensitiveLog: (
  obj: PublishBatchResultEntry
) => any;
export declare const PublishBatchResponseFilterSensitiveLog: (
  obj: PublishBatchResponse
) => any;
export declare const PutDataProtectionPolicyInputFilterSensitiveLog: (
  obj: PutDataProtectionPolicyInput
) => any;
export declare const RemovePermissionInputFilterSensitiveLog: (
  obj: RemovePermissionInput
) => any;
export declare const SetEndpointAttributesInputFilterSensitiveLog: (
  obj: SetEndpointAttributesInput
) => any;
export declare const SetPlatformApplicationAttributesInputFilterSensitiveLog: (
  obj: SetPlatformApplicationAttributesInput
) => any;
export declare const SetSMSAttributesInputFilterSensitiveLog: (
  obj: SetSMSAttributesInput
) => any;
export declare const SetSMSAttributesResponseFilterSensitiveLog: (
  obj: SetSMSAttributesResponse
) => any;
export declare const SetSubscriptionAttributesInputFilterSensitiveLog: (
  obj: SetSubscriptionAttributesInput
) => any;
export declare const SetTopicAttributesInputFilterSensitiveLog: (
  obj: SetTopicAttributesInput
) => any;
export declare const SubscribeInputFilterSensitiveLog: (
  obj: SubscribeInput
) => any;
export declare const SubscribeResponseFilterSensitiveLog: (
  obj: SubscribeResponse
) => any;
export declare const TagResourceRequestFilterSensitiveLog: (
  obj: TagResourceRequest
) => any;
export declare const TagResourceResponseFilterSensitiveLog: (
  obj: TagResourceResponse
) => any;
export declare const UnsubscribeInputFilterSensitiveLog: (
  obj: UnsubscribeInput
) => any;
export declare const UntagResourceRequestFilterSensitiveLog: (
  obj: UntagResourceRequest
) => any;
export declare const UntagResourceResponseFilterSensitiveLog: (
  obj: UntagResourceResponse
) => any;
export declare const VerifySMSSandboxPhoneNumberInputFilterSensitiveLog: (
  obj: VerifySMSSandboxPhoneNumberInput
) => any;
export declare const VerifySMSSandboxPhoneNumberResultFilterSensitiveLog: (
  obj: VerifySMSSandboxPhoneNumberResult
) => any;
